%define name	numactl
%define version 2.0.8
%define release	%mkrel 3
%define major 1
%define libname	%mklibname numa %{major}
%define develname	%mklibname numa -d

Summary:	Simple NUMA policy support
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPLv2/GPLv2
Group:		System/Kernel and hardware
Url:		ftp://oss.sgi.com/www/projects/libnuma/download
Source0:	ftp://oss.sgi.com/www/projects/libnuma/download/%{name}-%{version}.tar.gz
ExclusiveArch:	%{ix86} x86_64

%description
This package contains the `numactl' program to run other programs with
a specific NUMA policy.

%package -n	%{libname}
Summary:	Runtime libraries for NUMA policy support
Group:		System/Libraries
Requires:	kernel >= 2.6.7

%description -n	%{libname}
This package contains the dynamic libraries for NUMA policy support.

%package -n	%{develname}
Summary:	Headers and libraries for NUMA policy
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	numa-devel = %{version}-%{release}
Obsoletes:  %mklibname numa -d 1

%description -n	%{develname}
This package contains headers and libraries useful for developing
applications using different NUMA policies.

%prep
%setup -q 

%build
%make CFLAGS="%{optflags} -I." LDFLAGS="%ldflags"

%install
%makeinstall_std prefix=%{buildroot}/usr

%files
%doc README CHANGES
%{_bindir}/memhog
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/migratepages
%{_bindir}/migspeed
%{_mandir}/man8/*.8*

%files -n %{libname}
%{_libdir}/libnuma.so.%{major}

%files -n %{develname}
%{_libdir}/libnuma.so
%{_libdir}/libnuma.a
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_mandir}/man3/*


%changelog

* Wed Jan 23 2013 fwang <fwang> 2.0.8-3.mga3
+ Revision: 391294
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.0.8-2.mga3
+ Revision: 361079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 304796
- new version 2.0.8

  + tv <tv>
    - new release

* Thu Jan 13 2011 tmb <tmb> 2.0.3-4.mga1
+ Revision: 8943
- imported package numactl

